#include mc30p6060.inc

        org     0x00
        goto    start
        
        org 	0x08
inte:	
        NOP 
 	goto    inte
       
start:
      ; fill  0x00,0x40
        movai   0xff
        movra   P1  
        movra   P0         
        movai   0x1F;设置P10-P14口为输入
        movra   DDR1 
        movai   0x00;设置P0输出
        movra   DDR0         
        movai	0x00
        movra	PUCON
        
        movai   0x01
        movra   MCR 
        
        jbset  	P1,0
        bclr   	MCR,1
        jbclr   P1,0
        bset   	MCR,1
       
        jbset  	P1,1
        bclr   	MCR,2
        jbclr   P1,1
        bset   	MCR,2
        
        jbset  	P1,2
        bclr   	MCR,3
        jbclr   P1,2
        bset   	MCR,3 
                
        jbset  	P1,4
        bclr   	MCR,4
        jbclr   P1,4
        bset   	MCR,4     
        

main_loop:
        jbset  MCR,5
        comr   P0
        call   delay
        comr	P1
        ;NOP
        ;nop
        ;nop
        ;nop
        ;NOP
        ;bclr   	P1,5 
        goto   main_loop
        
delay: 
        NOP
        NOP
        NOP
        NOP
        return   
        
        end
